# Imagick::setImageProperty

(PECL imagick 2, PECL imagick 3)

Imagick::setImageProperty — Sets an image property

### Beschreibung

public Imagick::setImageProperty(string `$name`, string `$value`): bool

Sets a named property to the image. Diese Funktion ist verfügbar, wenn Imagick gegen die ImageMagick-Version 6.3.2 oder höher kompiliert wurde.

### Parameter-Liste

`name`

`value`

### Rückgabewerte

Liefert `true` bei Erfolg.

### Beispiele

Beispiel #1 Using Imagick::setImageProperty():

Setting and getting image properties

`<?php
$image = new Imagick();
$image->newImage(300, 200, "black");
$image->setImageProperty('Exif:Make', 'Imagick');
echo $image->getImageProperty('Exif:Make');
?>`

### Siehe auch

- Imagick::getImageProperty() - Returns the named image property

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open